Name:          fmt
Version:       11.2.0
Release:       1mamba
Summary:       An open-source formatting library providing a fast and safe alternative to C stdio and C++ iostreams
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/fmtlib/fmt
Source:        https://github.com/fmtlib/fmt.git/%{version}/fmt-%{version}.tar.bz2
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
{fmt} is an open-source formatting library providing a fast and safe alternative to C stdio and C++ iostreams.

%package -n lib%{name}
Group:         System/Libraries
Summary:       An open-source formatting library providing a fast and safe alternative to C stdio and C++ iostreams.

%description -n lib%{name}
{fmt} is an open-source formatting library providing a fast and safe alternative to C stdio and C++ iostreams.
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.



%prep
%setup -q

%build
%cmake -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"


%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libfmt.so.*
%doc LICENSE

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/fmt
%{_includedir}/fmt/*.h
%dir %{_libdir}/cmake/fmt
%{_libdir}/cmake/fmt/fmt-*.cmake
%{_libdir}/libfmt.so
%{_libdir}/pkgconfig/fmt.pc
#%doc ChangeLog.rst README.rst


%changelog
* Sun May 04 2025 Automatic Build System <autodist@openmamba.org> 11.2.0-1mamba
- automatic version update by autodist

* Thu Feb 27 2025 Automatic Build System <autodist@openmamba.org> 11.1.4-1mamba
- automatic version update by autodist

* Mon Jan 27 2025 Automatic Build System <autodist@openmamba.org> 11.1.3-1mamba
- automatic version update by autodist

* Sun Jan 12 2025 Automatic Build System <autodist@openmamba.org> 11.1.2-1mamba
- automatic version update by autodist

* Sat Dec 28 2024 Automatic Build System <autodist@openmamba.org> 11.1.1-1mamba
- automatic version update by autodist

* Thu Dec 26 2024 Automatic Build System <autodist@openmamba.org> 11.1.0-1mamba
- automatic version update by autodist

* Sat Jul 20 2024 Automatic Build System <autodist@openmamba.org> 11.0.2-1mamba
- automatic version update by autodist

* Sat Jul 06 2024 Automatic Build System <autodist@openmamba.org> 11.0.1-1mamba
- automatic version update by autodist

* Tue Jul 02 2024 Automatic Build System <autodist@openmamba.org> 11.0.0-1mamba
- automatic version update by autodist

* Thu Jan 04 2024 Automatic Build System <autodist@mambasoft.it> 10.2.1-1mamba
- automatic version update by autodist

* Tue Jan 02 2024 Automatic Build System <autodist@mambasoft.it> 10.2.0-1mamba
- automatic version update by autodist

* Tue Aug 29 2023 Automatic Build System <autodist@mambasoft.it> 10.1.1-1mamba
- automatic version update by autodist

* Sun Aug 13 2023 Automatic Build System <autodist@mambasoft.it> 10.1.0-1mamba
- automatic version update by autodist

* Thu May 11 2023 Automatic Build System <autodist@mambasoft.it> 10.0.0-1mamba
- automatic version update by autodist

* Sun Aug 28 2022 Automatic Build System <autodist@mambasoft.it> 9.1.0-1mamba
- automatic version update by autodist

* Thu Jul 07 2022 Automatic Build System <autodist@mambasoft.it> 9.0.0-1mamba
- automatic version update by autodist

* Fri Jan 07 2022 Automatic Build System <autodist@mambasoft.it> 8.1.1-1mamba
- automatic version update by autodist

* Mon Jan 03 2022 Automatic Build System <autodist@mambasoft.it> 8.1.0-1mamba
- automatic version update by autodist

* Sat Jul 03 2021 Automatic Build System <autodist@mambasoft.it> 8.0.1-1mamba
- automatic version update by autodist

* Tue Jun 22 2021 Automatic Build System <autodist@mambasoft.it> 8.0.0-1mamba
- automatic version update by autodist

* Mon Mar 22 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 7.1.3-1mamba
- package created using the webbuild interface
